Show / Hide Table of Contents

# Class CommandInfo

This class describes a registered command.

##### Inheritance

System.Object
CommandInfo

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Command

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class CommandInfo

### Constructors

| Improve this Doc View Source

#### CommandInfo(CommandInfo.HandlerDelegate)

Initializes a new instance of the CommandInfo class. Create a new CommandInfo with the provided handler.

##### Declaration

    public CommandInfo(CommandInfo.HandlerDelegate handler)

##### Parameters

Type | Name | Description
--- | --- | ---
CommandInfo.HandlerDelegate | handler | The method to call when the command is run.

### Properties

| Improve this Doc View Source

#### Handler

Gets a CommandInfo.HandlerDelegate which will be called when the command is dispatched.

##### Declaration

    public CommandInfo.HandlerDelegate Handler { get; }

##### Property Value

Type | Description
--- | ---
CommandInfo.HandlerDelegate |

| Improve this Doc View Source

#### HelpMessage

Gets or sets the help message for this command.

##### Declaration

    public string HelpMessage { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ShowInHelp

Gets or sets a value indicating whether if this command should be shown in the help output.

##### Declaration

    public bool ShowInHelp { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |